USN-6114-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6114-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6114-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6114-1
Related
Published
2023-05-30T08:40:33.648021Z
Modified
2023-05-30T08:40:33.648021Z
Summary
node-nth-check vulnerability
Details

Yeting Li discovered that nth-check incorrectly handled certain inputs. If a user or an automated system were tricked into opening a specially crafted input file, a remote attacker could possibly use this issue to cause a denial of service.

References

Affected packages

Ubuntu:20.04:LTS / node-nth-check

Package

Name
node-nth-check

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.0.1-1+deb10u1build0.20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "node-nth-check": "1.0.1-1+deb10u1build0.20.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / node-nth-check

Package

Name
node-nth-check

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.0.1-1+deb10u1build0.18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "node-nth-check": "1.0.1-1+deb10u1build0.18.04.1"
        }
    ]
}